Subject: Re: restriction of pulls

From: Jakub Narebski <[email-masked]>
Date: Fri, 09 Feb 2007 12:19:05 +0100

Christoph Duelli wrote:

> Is it possible to restrict a chechout, clone or a later pull to some 
> subdirectory of a repository?
> (Background: using subversion (or cvs), it is possible to do a file or 
> directory-restricted update.)
> 
> Say, I have a repository containing 2 (mostly) independent projects
> A and B (in separate) directories:
> - R
>   -  A
>   -  B
> Is it possibly to pull all the changes made to B, but not those made to A. 
> (Yes, I know that this causes trouble if there are dependencies into A.)

No, it is not possible. Moreover, it is not sensible, as it breaks atomicity
of a commit. Well, you can hack, but...

That said, there is experimental submodule (subproject) support
  http://git.or.cz/gitwiki/SubprojectSupport
  http://git.admingilde.org/tali/git.git/module2
(there was also proposal of more lightweight submodule support, but I don't
have a link to it), and you should have set A and B as submodules
(subprojects).

-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git